---
title: "Trip Report: How to (not) travel to Akademy"
date: 2023-07-23
draft: true
tags:
- Akademy
- KDE
series:
- Trip Report
---

This is my first Akademy (I didn't start actively contributing to KDE until half a year ago) and coincidentally, also my first time traveling outside of the USA. This is sort of a half-travel blog and half-tutorial on how to travel to Europe from the USA and survive. Enjoy, this is a long one!

# Preparations

I had intended to join the developers at the KDE Plasma Sprint earlier this year, but the passport system in the USA was under a lot of strain this year. I had visited my local courthouse to register for a passport. Yes, it was a pain and there was a lot of waiting. I ended up getting my passport just a few days after the sprint, go figure :-)

Soon after I received my passport, I started making accommodations in Thessaloniki for the flight and booking. I booked my hotel relatively late, so there wasn't a lot of options but managed to find a room in ABC Hotel. It was close to the venue, which turned out to be great as it was a 13 minute walk. The airline I chose was United, which only handled the domestic and getting across the Atlantic. Flying to Greece would happen with one of it's partner airlines, Aegean.

# Traveling to Europe

We arrived a bit early to our local airport, and checked in our bags. We had one proper luggage, and one carry-on. Since we had some time to kill, I went to the "Firehouse Subs" which had the worst food ever. Since it was early in the morning, they still had breakfast but somehow ran out of eggs so all we got were bread, cheese and thinly sliced meat. My sandwich didn't even _get_ cheese... This was probably the worst food we had all trip, it was unbelievable that I paid 14 USD for that.

Anyway, we started boarding but that was a complete mess - to no one's surprise. Our airport terminal isn't the biggest and there wasn't much of a "line". People instead chose to enter as a semicircle, despite there only being one door. Boarding groups didn't seem to matter to the attendant either, whatever. To add insult to injury, there was another attendant announcing boarding instructions (for another flight) which people thought was ours! Of course it didn't matter much once we made it inside the airplane, because passengers were busy attempting to stuff their bags into the overhead bins. When we tried to enter our row, the one guy who we didn't know ended up moving away from his kids and we never tried to tell him. I saw him punching the seats when boarding the plane, I really didn't want to interact with him. Worst even, that he was a dad, his wife and kids were on the other side of aisle. One of his kids was barfing during flight too :-(

A few hours later, we landed in EWR (Newark) and when I announced so in a Matrix channel, some KDE people thought I was working on a QML port of Ark :-D The touchdown was really rough though, I'm guessing their runways are tight squeeze for pilots? Getting off the plane seemed to take as long as getting on, oh well. We discovered that Newark is gigantic, it has lots of gates but is also part shopping mall? There was lots of windows, and you could see the faint outline of a skyline outside of them. This is also when we made our **first mistake, we headed down to baggage claim**. I don't know what were thinking or what we were told, but we had no idea that the baggage would appear in Thessaloniki with us and we waited down in baggage claim for no reason. We quickly headed back upstairs, and went through TSA (again). It was really smooth though, EWK moves fast! Our gate was triple digits, but our jet was already pulled in and waiting. The boarding process was surprisingly excellent, due to a really good attendant who knew what they were doing.

The United flight over the Atlantic was a pretty nice Airbus(?) and looked new. It was probably the best and most comfortable flight in the entire trip even. That said, we picked seats near the bathrooms which was a mistake - as soon as they could, every single person on the flight wanted to use the bathroom. I'm serious, it was like a revolving door! My girlfriend was sick the entire flight too, one of the attendants gave her some medicine which helped. I didn't manage to sleep much on this flight though, there was some loud kids.

We landed in FCO (Aeroport di Roma), and this is where _everything_ about our trip went wrong. Remember our first mistake, which was checking for our baggage too early? Yeah, **we made the same mistake in FCO**. Worst of all, we did it in a less than a hour connection window. Needless to say, once we realized what had happened our flight had left. We were stuck in Italy.

Unbeknownst to us, the luggage is making it's way to Thessaloniki but on the next flight. In the meantime, we run around FCO trying to find our actually-not-lost luggage and a way to Greece. We probably spent 12 or so hours in the airport. We also entered baggage claim numerous times, because the lost & found only existed on the secure side of the airport for some reason. Eventually, I booked a flight to Thessaloniki through Athens online leaving Sunday. We attempted to book it through a reseller on-site but he tried to sell me a 1000 Euro ticket that only went to Athens (???) If you're wondering why we didn't book a flight sooner, there was an Italian ground worker strike so there was barely any flights going out on Saturday.

# Staying in Italy

We ended up booking a very cheap Booking.com apartment, a few minutes by car from the airport. Some woman was renting out her apartment, and our keys were kept in a lockbox secured by a code. Getting into the place was a whole ordeal, because she didn't give me proper instructions on how to get past the gate. We ended up waiting until another resident opened the gate for us...

Then when we tried to enter the apartment, we couldn't get the lock to operate. It turns out, that there were _five_ locks and I needed to turn the key _five_ times to open the door. Interesting. The actual apartment doesn't look that bad on the inside, and has a TV and internet. Both, of course, are slow and almost unusable so I wasn't able to connect virtually to Akademy. The first problem we needed to solve is what to eat, but it turns out there's an "Erisfero" located in a shopping mall only a short walk from the apartment! We sustained ourselves on frozen pizza for most of our stay.

# Traveling to Thessaloniki

We arrived by Uber back to FCO, but was there way too early in the morning. We quickly learned that you can't enter the secure area until 6 hours before the time listed on your boarding pass. On the Aegean plane, it was a complete mess as it seems their computer systems sold two tickets for the same seat. We landed in Athens in a couple of hours, and had to spend another 4-5 hours in a really empty airport.

We _finally_ landed in Thessaloniki, and took a taxi to the airport. I guess we got lucky with our driver, he was really nice. Arriving at our hotel around ~09:30, but we didn't join breakfast. The room is nice too, with a balcony.

# Akademy

Someone suggested that we nap first before heading to the university, and I didn't leave the hotel until 14:00. Walking to the university, I saw plenty of KDE people walking to lunch. I met Nicolas Fella, and got our namebadges. Soon after, I went to Carl's Plasma Mobile BoF. I didn't stay for long though, and headed back to my hotel soon after. I did meet a good amount of people that day though!

Me and my girlfriend had dinner at the resturant located in our hotel - despite being empty had decent food. We then headed down to the White Tower when the sun was setting, and there were lots of people walking. It was really nice!

Before returning to the university on Tuesday, we visited the archeological museum in the city. The ticket was very cheap (4 euro) and worth it, it was jam packed with interesting relics.

I went to the universirty around 10:00 and arrived late to the contributor on-ramping BoF held by Joseph D. It was good, but I arrived late and wasn't able to catch much of it. I also went to the Plasma 6 BoF afterwards, but most of the time was spent talking about the release date schedule. I went to lunch with a couple of great people, and when I came back attended the Joseph's Wiki BoF. This was one of my favorite BoF's, there were a lot of people and it was very productive. We decided on a lot of things: what to do about techbase/userbase, removing the wiki theme, and more. I met more people today, but unfortunately only got to shake hands with a few of them since a lot of people left before the daytrip.

Wednesday was the day trip, which consisted of visiting Dion and the mountains. I also got my pink Konqi from Albert! We were loaded onto buses and took the very long drive to Dion outside the city. Everyone nodded off pretty quickly. When we got there, the tour guide led us through the ruins. There was stray cats and dogs around, which Dina fed some sandwiches(?). Really cool, but the heat was really unbearable.

We then went into an inside archeological Museum, much smaller than the one inside of Thessaloniki but still interesting. I especially like their mosaic restoration. The next stop was to go up the mountain, stopping at a very high resturant. We went up to feel the breeze, and then came back down to have drinks. There of course, was another stray cat. You could also see the coastline from here, and some higher mountain peaks!

The final destination was the seaside town of Platamon. I had a chance to sit down with Ivan and eat some mediocre sea food. It was serviceable, but not as good as the food in Thessaloniki. Carl and the others went swimming first, and came back dripping. I didn’t want to swim, but we still dipped our feet in the water. The swimming attendees made a funny looking circle out in the deeper part of the water. We momentarily stopped at a castle for pictures, and then that was it! My favorite part was the beach, the lukewarm water made the outside temperature more bearable.

Thursday is my last full day, because my hotel only allows 7 days of stay. I didn’t arrive to the Uni until 12, but I attended carls Accessibility bof. It was pretty productive, I already have patches in the queue for improving keyboard accessibility and now know how to use these tools! I spent the rest of the day in the chill room, which I spent some time improving the Matrix page. I also hooked up with Volker to move some of the final pieces for Tokodon Android to work again, and discovered an error in the Android docs! It turns out the docker registry version of the images is no longer maintained, but was still used in the tutorial. I also submitted myself to eV after a lot of pestering 🤣

To cap off the night, I walked to the Park hotel to have dinner. It was surprising seeing the amount of ruins that are just in the middle of the city, so strange. The walk wasn’t that long, it was 20 minutes of some fast walking. I went out to search for food with Carl, Tobias, James, Victoria, Mauhoutikas(?), Nico, and Zzad joined in with ice cream later. We of course, had to go to the source of the ice cream!

# Back to USA

With goodbyes concluded, it was time to leave Thessaloniki. Luckily, the return trip is less arduous. First we headed to the airport in a taxi after breakfast, and ended up arriving so early they didn’t switch over the check in terminals to our airline yet. We also found a Kevin, Volker, Aniqa and (guy from the lunch) in the airport. The check in line was arduous, im not sure how we keep getting on flights with 6+ young people. Our flight was delayed by 20 or so minutes, but we still arrived close to on time. When we arrived in Vienna, luckily Kevin was still with us and he helped point us to our terminal. One shuttle bus later, we rushed over and went through passport control.

If you don’t know how entering the USA works, it’s surprisingly difficult. Of course, the TSA doesn’t exist in Europe so instead your airports security puts random people into the “SSSS” or secondary inspection. What follows is standard TSA procedure (separate electronics, take your shoes off, etc) and be prepared for a pat down or a slip wipe(?). It was over pretty short, but the selection of passengers was really curious. It seemed to consist mostly of non-Whites, like my girlfriend who is Asian. Not to call Vienna’s airport security racist, but they also hassled a Black dude at the gate for unknown reasons (despite him being a fluent Austrian or German speaking citizen) Very odd 🫠 there’s a reason why there was 45 minute allocated to board!

Even on board, the airline experience wasn’t the best. It’s not the newest airbus, and the seats in economy were cramped. Not only that, but the German kid behind me kept kicking my seat for **the whole 9 hours**. Not only that, but when landing he kept shoving his foot up my arsenal through the cushion. To add insult to injury, there was not *one* but **TWO** infants crying relentlessly in our part of the cabin. Yeah, not the greatest and I only got a few winks of sleep.

Arriving in JFK is a whole ordeal though, you can tell USA loves its security theater. While entering Europe means an automatic passport scan, an automatic photo and a stamp from a worker with no questions asked - no, USA must be more complex! We decide that every passenger (yes, including US citizens) must answer a few questions through a clerk and none of it is automated. Of course, the line was whacky long and took forever to get through. Afterwards, we paid for an Uber to get to EWR and eventually stumbled out way into our final flights gate.

To no one’s surprise, entering the terminal in the dead of night it’s really empty. There’s a couple of people coming in and out, but there’s definitely a vibe going on here. A lot of the shops were closed of course.


